Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2256942 - xen: Please reconsider the glibc32 build dependency
Summary: xen: Please reconsider the glibc32 build dependency
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xen
Version: 40
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Michael Young
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1598524
TreeView+ depends on / blocked
 
Reported: 2024-01-05 13:40 UTC by Florian Weimer
Modified: 2024-02-17 16:14 UTC (History)
2 users (show)

Fixed In Version: xen-4.18.0-5.fc40
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-02-17 16:14:07 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Fedora Pagure packaging-committee pull-request 1321 0 None None None 2024-01-08 15:28:20 UTC

Description Florian Weimer 2024-01-05 13:40:24 UTC
The spec file contains:

%ifarch %{ix86} x86_64
# so that x86_64 builds pick up glibc32 correctly
BuildRequires: /usr/include/gnu/stubs-32.h
%endif

We plan to get rid of glibc32, so this will stop working. In addition, DNF 5 does not download file lists by default and is not able to resolve such a dependency.

I removed the BuildRequires, and I didn't see any obvious differences in the build log (particularly around autoconf results).

Reproducible: Always

Comment 1 Aoife Moloney 2024-02-15 23:09:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 40 development cycle.
Changing version to 40.

Comment 2 Michael Young 2024-02-17 16:14:07 UTC
I also tried disabling the glibc32 BuildRequires and couldn't see a difference in the code produced so I have dropped that BuildRequires in xen-4.18.0-5.fc40


Note You need to log in before you can comment on or make changes to this bug.